--------------------------------------------------------------------------------
-- |
-- Module      :  Graphics.Rendering.OpenGL.Raw.SGIS
-- Copyright   :  (c) Sven Panne 2015
-- License     :  BSD3
--
-- Maintainer  :  Sven Panne <svenpanne@gmail.com>
-- Stability   :  stable
-- Portability :  portable
--
-- A convenience module, combining all raw modules containing SGIS extensions.
--
--------------------------------------------------------------------------------

module Graphics.Rendering.OpenGL.Raw.SGIS (
  module Graphics.Rendering.OpenGL.Raw.SGIS.DetailTexture,
  module Graphics.Rendering.OpenGL.Raw.SGIS.FogFunction,
  module Graphics.Rendering.OpenGL.Raw.SGIS.GenerateMipmap,
  module Graphics.Rendering.OpenGL.Raw.SGIS.Multisample,
  module Graphics.Rendering.OpenGL.Raw.SGIS.PixelTexture,
  module Graphics.Rendering.OpenGL.Raw.SGIS.PointLineTexgen,
  module Graphics.Rendering.OpenGL.Raw.SGIS.PointParameters,
  module Graphics.Rendering.OpenGL.Raw.SGIS.SharpenTexture,
  module Graphics.Rendering.OpenGL.Raw.SGIS.Texture4D,
  module Graphics.Rendering.OpenGL.Raw.SGIS.TextureBorderClamp,
  module Graphics.Rendering.OpenGL.Raw.SGIS.TextureColorMask,
  module Graphics.Rendering.OpenGL.Raw.SGIS.TextureEdgeClamp,
  module Graphics.Rendering.OpenGL.Raw.SGIS.TextureFilter4,
  module Graphics.Rendering.OpenGL.Raw.SGIS.TextureLOD,
  module Graphics.Rendering.OpenGL.Raw.SGIS.TextureSelect
) where

import Graphics.Rendering.OpenGL.Raw.SGIS.DetailTexture
import Graphics.Rendering.OpenGL.Raw.SGIS.FogFunction
import Graphics.Rendering.OpenGL.Raw.SGIS.GenerateMipmap
import Graphics.Rendering.OpenGL.Raw.SGIS.Multisample
import Graphics.Rendering.OpenGL.Raw.SGIS.PixelTexture
import Graphics.Rendering.OpenGL.Raw.SGIS.PointLineTexgen
import Graphics.Rendering.OpenGL.Raw.SGIS.PointParameters
import Graphics.Rendering.OpenGL.Raw.SGIS.SharpenTexture
import Graphics.Rendering.OpenGL.Raw.SGIS.Texture4D
import Graphics.Rendering.OpenGL.Raw.SGIS.TextureBorderClamp
import Graphics.Rendering.OpenGL.Raw.SGIS.TextureColorMask
import Graphics.Rendering.OpenGL.Raw.SGIS.TextureEdgeClamp
import Graphics.Rendering.OpenGL.Raw.SGIS.TextureFilter4
import Graphics.Rendering.OpenGL.Raw.SGIS.TextureLOD
import Graphics.Rendering.OpenGL.Raw.SGIS.TextureSelect
